import {Injectable} from '@angular/core';
import {Session} from '../models/session';

@Injectable({
	providedIn: 'root'
})
export class UtilsService {

	constructor() {
	}

	static saveUserInfoToLocalStorage(password: string, name: string): void {
		localStorage.setItem('password', password);
		localStorage.setItem('name', name);
	}

	static getPasswordFromLocalStorage(): string {
		return localStorage.getItem('password') ?? '';
	}

	static getNameFromLocalStorage(): string {
		return localStorage.getItem('name') ?? '';
	}

	static saveSessionInfoToLocalStorage(sessionId: number, sessionKey: string): void {
		localStorage.setItem('sessionId', sessionId.toString());
		localStorage.setItem('sessionKey', sessionKey);
	}

	static getSessionInfoFromLocalStorage(): Session {
		return {
			sessionId: parseInt((localStorage.getItem('sessionId') ?? '-1'), 10),
			sessionKey: localStorage.getItem('sessionKey') ?? ''
		}
	}

	static clearSessionInfo(): void {
		localStorage.setItem('sessionId', '-1');
		localStorage.setItem('sessionKey', '');
	}
}
